System.Web 2.0.0.0 System.Enum

To assist with data entry, Internet Explorer 5 and later and some other browsers support a feature named AutoComplete. AutoComplete monitors a text box and stores a list of the values that the user has entered. When the user returns to the text box another time, the list of values is displayed. Instead of retyping a value, the user can simply select the value from this list.

Not all browsers support the AutoComplete feature. Check with your browser to determine compatibility.

To control the behavior of the AutoComplete feature for a control, you use the property. The enumeration is used to represent the values that you can apply to the property.

By default, the property for a control is set to AutoCompleteType.None. With this setting, the control shares the list with other controls with the same across different pages. You can also share a list among controls based on a category instead of based on an . When you set the property to one of the category values (such as AutoCompleteType.FirstName or AutoCompleteType.LastName), all controls with the same category share the same list. You can disable the AutoComplete feature for a control by setting the property to AutoCompleteType.Disabled.

Refer to your browser documentation for details on configuring and enabling the AutoComplete feature. For example, to enable the AutoComplete feature in Internet Explorer version 5 or later, from the Tools menu, choose Internet Options. Then choose the Content tab. Choose the AutoComplete button to view and modify options for the AutoComplete feature.

For more information on the AutoComplete feature in Internet Explorer, search for Using AutoComplete in HTML Forms in the MSDN Library at http://msdn.microsoft.com/library.

Represents the values that control the behavior of the AutoComplete feature in a control.

- Field
  System.Web.UI.WebControls.AutoCompleteType

  The city for a business address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The country/region for a business address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The fax number for a business address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The phone number for a business address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The state for a business address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The street for a business address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The URL to a business Web site category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The ZIP code for a business address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The phone number for a mobile-phone category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The name of a business category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  A department within a business category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The AutoComplete feature is disabled for the control.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The name to display for the user category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The user's e-mail address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The first name category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The gender of the user category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The city for a home address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The country/region for a home address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The fax number for a home address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The URL to a Web site category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The phone number for a home address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The state for a home address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The street for a home address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The ZIP code for a home address category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The user's job title category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The last name category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The user's middle name category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  No category is associated with the control. All controls with the same share the same value list.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  Any supplemental information to include in the form category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The location of the business office category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The phone number for a pager category.

  2.0.0.0
- Field
  System.Web.UI.WebControls.AutoCompleteType

  The keyword or keywords with which to search a Web page or Web site category.

  2.0.0.0